!!!
%html{:lang => "en"}
  %head
    
    %script{:src => "https://code.jquery.com/jquery-3.5.1.min.js"}
    /<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    %link{:href => "./css/style.css", :rel => "stylesheet"}/
    /<link rel="stylesheet" href="./css/style.css">
    %script{:src => "./js/page.js"}
    /<script src="./js/page.js"></script>
    %link{:href => "//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css", :rel => "stylesheet"}/
    /<title>HTML to Haml</title>
    %title HTML to Haml
  %body
    %ul
      %li
       
        %a#Elem{:launch => "Elements"} Elements
        /<a launch="Elements" id="Elem">Elements</a>
      %li
        %a#Attr{:launch => "Attributes"} Attributes
      %li
        %a#Sty{:launch => "style"} style
      %li
        %a#Frmt{:launch => "Formatting"} Formatting
      %li
        %a#Qout{:launch => "Qoutation"} Qoutation
      %li
        %a#Cmnt{:launch => "Comment"} Comment
      %li
        %a#Tbl{:launch => "Table"} Table
      %li
        %a#Lst{:launch => "List"} List
      %li
        %a#BKE{:launch => "Block-Level-Elements"} Block-Level-Elements
      %li
        %a#Cls{:launch => "Class"} Class
      %li
        %a#id{:launch => "ID"} ID
      %li
        %a#iFrm{:launch => "iframe"} iframe
    #Elements.view
      %center
        %h1 Elements
        %br/
        / < = &lt;
        / > = &gt;
        %h1 &lt;h1&gt; For the heading
        /<h1>Heading</h1>
        %h2 &lt;h2&gt;
        %h3 &lt;h3&gt;
        %h4 &lt;h4&gt;
        %h5 &lt;h5&gt;
        %h6 &lt;h6&gt;
        %p &lt;p&gt; paragraph
        /<p> < p > paragraph</p>
        %br/
        < br >
    #Attributes.view.hide
      %center
        %h1 Attributes
        %br/
        %a{:href => "https://www.w3schools.com/"} The href attribute specifies the URL of the page the link
        %br/
        /<a href="https://www.w3schools.com/">The href attribute specifies the URL of the page the link</a>
        %img{:src => "https://www.shutterstock.com/image-photo/active-retired-old-men-leisure-two-130956923"}/
        image
        /<img src="https://www.shutterstock.com/image-photo/active-retired-old-men-leisure-two-130956923"> image
    #style.view.hide
      %center
        %h1 style
        %p{:style => "color: red;"} Style
        /<p style="color: red;"> Style</p>
        %br/
    #Formatting.view
      %center
        %h1 Formatting
        %br/
        %b &lt; b &gt;
        /<b>< b ></b>
        %br/
        %i &lt; i &gt;
        %br/
        %strong < strong >
        %br/
        %em &lt; em &gt;
        %br/
        %mark &lt; mark &gt;
        %br/
        %small
          \&lt; small &gt;
          %br/
          %del &lt; del &gt;
          %br/
          %ins &lt; ins &gt;
          %br/
          %sub &lt; sub &gt;
          %br/
    #Qoutation.view.hide
      %center
        %h1 Qoutation
        %br/
        No Blockqoute
        %blockquote Blockquote For 50 years, WWF has been protecting the future of nature. The world's leading conservation organization, WWF works in 100 countries and is supported by 1.2 million members in the United States and close to 5 million globally.
        /<blockquote> Message </blockquote>
        %q qoutation
        / <q>qoutationtations. </q>
    #Comment.view.hide
      %center
        %h1 Comment
        %br/
        \&lt; Comment &gt;
        <!-- -->
        / test comment
    #Table.view.hide
      %center
        %h1 Table
        %br/
        %table#t01
          %tr
            %th.htmlside
              %center Table
          %tr
            %td
              %center &lt; ul&gt;
         
    #List.view.hide
      %center
        %h1 List
        %br/
        %ul
          %li Coffee
          %li Tea
          %li Milk
        %ol
          %li Coffee
          %li Tea
          %li Milk
        %dl
          %dt Coffee
          %dd - black hot drink
          %dt Milk
          %dd - white cold drink
    #Block-Level-Elements.view
      %center
        %h1 Block-Level-Elements
        %br/
        %div &lt; div &gt;
        /<div>< div ></div>
        %span &lt; span &gt;
        /<span>< span ></span>
    #Class.view.hide
      %center
        %h1 Class
        %br/
        .class_name Class Name
        /<div class="class_name">Class Name</div>
    #ID.view.hide
      %center
        %h1 ID
        %br/
        #id_name ID Name
        /<div id="id_name">ID Name</div>
    #iframe.view.hide
      %center
        %h1 iframe
        %br/
        %iframe{:frameborder => "0", :src => "www.w3school.com"} iframe
        /<iframe src="demo_iframe.htm" frameborder="0">iframe</iframe>
